package de.ivu.elect.presentation.wahl;

import java.util.List;

import javax.faces.application.FacesMessage;

import de.ivu.elect.jee.presentation.dynamicform.AbstractDateProperty;
import de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty;

public interface WahldatumWahlView {

  AbstractDateProperty getWahlterminWahldatumProperty();

  AbstractStringProperty getWahlterminWahlnummerProperty();

  List<FacesMessage> getWahlterminWahldatumHints();

  boolean isWahldatumRendered();

  boolean isWahlnummerRendered();
}
